/* Terraform - (C) 1997-2000 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _TF_DIALOG_ROUGH_SMOOTH_H
#define _TF_DIALOG_ROUGH_SMOOTH_H 1

#include <gtk--/adjustment.h>
#include <gtk--/box.h>
#include <gtk--/checkbutton.h>
#include <gtk--/frame.h>
#include <gtk--/label.h>
#include <gtk--/radiobutton.h>
#include <gtk--/scale.h>

#include "TFPreviewDialog.h"



/*
 *  TFDialogRoughSmooth: display the roughen dialog for terraformer
 */
class TFDialogRoughSmooth : public TFPreviewDialog
	{
	public: 
				TFDialogRoughSmooth (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogRoughSmooth (); 
		void		buildDialogWindow ();
		void 		buttonCallbackApply ();

	private:
		void		insertOptions ();
		void		updatePreviewCallback ();

		Gtk::VBox		d_vbList;
		Gtk::HBox		d_hbMode, 
					d_hbRSFactor,
					d_hbBigGrid;
		Gtk::Adjustment		d_adjRSFactor;
		Gtk::HScale		d_hsRSFactor;
		Gtk::Label		d_lblMode, 
					d_lblRSFactor,
					d_lblBigGrid;
		Gtk::CheckButton	d_btnBigGrid; 	
		Gtk::Frame		d_frmOptions;
		Gtk::RadioButton	*p_rbModeR,
					*p_rbModeS;
	};


#endif // _TF_DIALOG_ROUGH_SMOOTH_H
